Page MenuHomePhabricator

Search screen carousel
Closed, ResolvedPublic

Description

Why are we doing this?

We would like to provide a way for users to interact with the app and access content even if they do not know what to search for or are having issues successfully searching.

User story

As a KaiOS user I would like to be able to be inspired by what is available in the Wikimedia projects if I don't know what to search for.

Proposed design

Load stateMove leftMove rightOpen word of the dayOpen photo of the dayOpen Random article
https://zpl.io/2j7YPlQhttps://zpl.io/VDoW4Dlhttps://zpl.io/VKQyoNRhttps://zpl.io/2GRWWR3nhttps://zpl.io/bADWWD8https://zpl.io/2GRWWwE
Previous photo of the dayAbout photo of the dayRandom article - focus shifted
https://zpl.io/2GRWWvEhttps://zpl.io/adYNN57https://zpl.io/VxQwwpJ

Design details

Photo of the day

  • Selecting 'Previous' shows the Photo of the day from the day before
  • Selecting 'About' shows the 'About' overlay
  • Selecting 'More info' from the 'About' overlay opens the image page on Commons in the browser

Word of the day

  • Selecting 'Previous' shows the word of the day from the day before
  • Selecting 'Select' opens the link that is currently holding the cursor focus

Not included in v1 Randomizer

  • Selecting randomizer opens the article that was shown on the search screen
  • Article includes a bottom banner that includes the option to see 'Another random article'
  • The subsequent article should also have this banner
  • Banner is only removed in stack if the user taps on a blue link to navigate to an article (eg. doesn't navigate through the 'Another random article' option
  • Banner is only shown on Article header screen
Update: 9th Jan: For V1

Photo of the day
Video of the day

Event Timeline

cmadeo created this task.Oct 23 2019, 1:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2019, 1:23 PM
cmadeo renamed this task from Search carousel to Search screen carousel .Oct 23 2019, 1:23 PM
cmadeo updated the task description. (Show Details)Oct 23 2019, 6:08 PM
cmadeo moved this task from Needs design to Design doing on the KaiOS-Wikipedia-app board.
cmadeo updated the task description. (Show Details)Oct 23 2019, 9:19 PM
cmadeo moved this task from Design doing to Ready for approval on the KaiOS-Wikipedia-app board.
AMuigai moved this task from Backlog to Kanban on the Inuka-Team board.Nov 4 2019, 11:37 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai moved this task from Backlog to Ready for Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Kanban to Next up on the Inuka-Team board.Dec 12 2019, 8:48 PM
SBisson edited projects, added Inuka-Team; removed Inuka-Team (Kanban).
AMuigai moved this task from Next up to Kanban on the Inuka-Team board.Dec 17 2019, 7:18 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.

Lang non-dependent:

Photo of the day
Video of the day
Random article

cmadeo claimed this task.Dec 20 2019, 5:39 PM
AMuigai updated the task description. (Show Details)Dec 20 2019, 6:00 PM
AMuigai updated the task description. (Show Details)Jan 10 2020, 12:19 PM
AMuigai updated the task description. (Show Details)Jan 13 2020, 2:23 PM
AMuigai closed this task as Resolved.Jan 14 2020, 10:03 AM
AMuigai added a subscriber: AMuigai.

Closing this as it is a duplicate task of T241066 and T236302. For v1, the elements needed to manage images and video in the search carousel are taken care of in those to tasks.